<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__service__api___h_r_s__definitions" kind="group">
    <compoundname>group_ble_service_api_HRS_definitions</compoundname>
    <title>HRS Definitions and Data Structures</title>
    <innerclass prot="public" refid="structcy__stc__ble__hrss__t">cy_stc_ble_hrss_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__hrsc__t">cy_stc_ble_hrsc_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__hrs__char__value__t">cy_stc_ble_hrs_char_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__hrs__descr__value__t">cy_stc_ble_hrs_descr_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__hrss__config__t">cy_stc_ble_hrss_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__hrsc__config__t">cy_stc_ble_hrsc_config_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__service__api___h_r_s__definitions_1gab4f8498a6084498d792bd6fc28b0e96a" kind="enum" prot="public" static="no">
        <name>cy_en_ble_hrs_char_index_t</name>
        <enumvalue id="group__group__ble__service__api___h_r_s__definitions_1ggab4f8498a6084498d792bd6fc28b0e96aa3f2d53719e12924ce3cf689291e170fe" prot="public">
          <name>CY_BLE_HRS_HRM</name>
          <briefdescription>
<para>Heart Rate Measurement Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___h_r_s__definitions_1ggab4f8498a6084498d792bd6fc28b0e96aae6a5ae129d255221ae0045d3ffd4820a" prot="public">
          <name>CY_BLE_HRS_BSL</name>
          <briefdescription>
<para>Body Sensor Location Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___h_r_s__definitions_1ggab4f8498a6084498d792bd6fc28b0e96aabef82b9689dea49010eccd96bd8bae71" prot="public">
          <name>CY_BLE_HRS_CPT</name>
          <briefdescription>
<para>Control Point Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___h_r_s__definitions_1ggab4f8498a6084498d792bd6fc28b0e96aaa15f3297a6393870b203dcb26edd14cb" prot="public">
          <name>CY_BLE_HRS_CHAR_COUNT</name>
          <briefdescription>
<para>Total Count of HRS Characteristics. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_hrs_char_index_t: </bold><linebreak />HRS Characteristics indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="57" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" bodystart="51" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="52" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___h_r_s__definitions_1gadbf3ef055d7160bf11a83b21b8076687" kind="enum" prot="public" static="no">
        <name>cy_en_ble_hrs_descr_index_t</name>
        <enumvalue id="group__group__ble__service__api___h_r_s__definitions_1ggadbf3ef055d7160bf11a83b21b8076687a2a02e070cba06c63cadbf95706a88dc0" prot="public">
          <name>CY_BLE_HRS_HRM_CCCD</name>
          <briefdescription>
<para>Heart Rate Measurement client char. </para>          </briefdescription>
          <detaileddescription>
<para>config. descriptor index </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___h_r_s__definitions_1ggadbf3ef055d7160bf11a83b21b8076687a10291ec03e1645fa589d742d5d2c91c6" prot="public">
          <name>CY_BLE_HRS_DESCR_COUNT</name>
          <briefdescription>
<para>Total Count of HRS HRM descriptors. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_hrs_descr_index_t: </bold><linebreak />HRS Characteristic Descriptors indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="64" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" bodystart="60" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hrs.h" line="61" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Contains the HRS specific definitions and data structures used in the HRS API. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>